%global pypi_name ppft

%global _description %{expand:
ppft is a fork of Parallel Python, and is developed as part of pathos:
https://github.com/uqfoundation/pathos

Parallel Python module (pp) provides an easy and efficient way to create
parallel-enabled applications for SMP computers and clusters. pp module
features cross-platform portability and dynamic load balancing. Thus
application written with pp will parallelize efficiently even on heterogeneous
and multi-platform clusters (including clusters running other application with
variable CPU loads). Visit http://www.parallelpython.com for further
information.

ppft is part of pathos, a python framework for heterogeneous computing. ppft is
in active development, so any user feedback, bug reports, comments, or
suggestions are highly appreciated. A list of issues is located at
https://github.com/uqfoundation/ppft/issues, with a legacy list maintained at
https://uqfoundation.github.io/project/pathos/query.}

Name:           python-%{pypi_name}
Version:        1.6.6.4
Release:        2%{?dist}
Summary:        Distributed and parallel python

License:        BSD
URL:            https://pypi.org/pypi/%{pypi_name}
Source0:        %{pypi_source %{pypi_name} %{version} zip}

BuildArch:      noarch

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name} %_description

%package doc
Summary:        Documentation for %{name}

%description doc
This package provides documentation for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'
# Remove executable permissions
chmod -x examples/*

%build
%py3_build

%install
%py3_install

install -p -m 0644 doc/ppserver.1 -D $RPM_BUILD_ROOT/%{_mandir}/man1/ppserver.1

%check
# no tests

%files -n python3-%{pypi_name}
%license COPYING LICENSE
%doc README.md AUTHORS CHANGELOG
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/pp
%{python3_sitelib}/%{pypi_name}
%{_bindir}/ppserver
%{_mandir}/man1/ppserver.1*

%files doc
%license COPYING LICENSE
%doc examples doc/example.config doc/ppdoc.html

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 08 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.6.6.4-1
- Initial build
- Add left over docs and man page
